---
name: Bug report
about: Create a report to help us improve
title: ''
labels: 'bug'
assignees: ''
---

<!--
 Thank you very much for reporting an issue. Please help to fill in as much as possible for us to have a better context. We welcome you to open a PR to fix the issue as well. If you would like to do so. Please add a comment then we will guide you on how to contribute by fixing the issue.
-->

## Describe the bug

<!-- A clear and concise description of what the bug is. -->

## Screenshots

<!-- If applicable, add screenshots to help explain your problem. -->

## Reproduce

<!--
It's extremely important to provide a way to reproduce the bug. A reproducible repository is preferred.

If this source code is private, please consider masking sensitive code and extracting a minimum of code that reproduces the bug.

Without a reproduction, we are sorry that we do not have enough information to help you.
-->

Please provide a minimal [reproduction](https://stackoverflow.com/help/minimal-reproducible-example) for the issue. Thanks.

You can use one of the following options to reproduce the issue:

- Create a new GitHub repository (recommended): https://github.com/new
- Create a StackBlitz project: https://stackblitz.com
- Create a sandbox on CodeSandbox: https://codesandbox.io/s

## Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

## Environment (please complete the following information)

- OS: [e.g. macOS 12.2.1, Windows 11, Ubuntu 22.04]
- Browser: [e.g. chrome, safari]
- Jest version: [e.g. 27.5.1]

## Additional context

<!-- Add any other context about the problem here. -->

<!--
  Last but not least, if we merged a PR to resolve your issue, we would love to credit you by adding you to contributors (https://github.com/nvh95/jest-preview#contributors-).
  Usually, we will remember to do that. But sometimes, we forget. Simply ask us to do that if the corresponding PR gets merged after 2 days and we still don't have you on the contributor list.
-->

<!-- TODO: Note for contributors
  To make reproduction a required field. Refer to https://github.com/vitejs/vite/blob/main/.github/ISSUE_TEMPLATE/bug_report.yml
-->
